Usage Metrics
curl --request GET \
--url https://{appid}.api-{region}.cometchat.io/v3/stats \
--header 'apikey: <api-key>'import requests
url = "https://{appid}.api-{region}.cometchat.io/v3/stats"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://{appid}.api-{region}.cometchat.io/v3/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"metrics": {
"audio_minutes": 0,
"video_minutes": 0,
"recorded_minutes": 0,
"active_users": 0,
"concurrent_users": 0
},
"time_range": {
"fromDate": 1630164253000,
"toDate": 1632842653000
}
}
}Metrics
Usage Metrics
Usage metrics of an app.
GET
/
stats
Usage Metrics
Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Query Parameters
Unix timestamp from which usage has to be fetched.
Unix timestamp till which usage has to be fetched.
Response
200 - application/json
Usage metrics of an app.
⌘I